import { PluginConfig, Plugin, BaseApp, HandleRequest } from 'jovo-core';
export interface Config extends PluginConfig {
    apiKey: string;
    baseId: string;
}
export declare class FallbackAirtablePlugin implements Plugin {
    config: Config;
    speech?: string;
    reprompt?: string;
    constructor();
    /**
     * Hooks up plugin to the "platform.nlu" & "response" middleware
     * @param app
     */
    install(app: BaseApp): void;
    uninstall(app: BaseApp): void;
    saveResponse(handleRequest: HandleRequest): void;
    /**
     * Will be called every time an error occurs
     * @param handleRequest contains current app?, host?, jovo? and error? instance
     */
    log(handleRequest: HandleRequest): void;
    /**
     * Creates message for Slack
     * @param handleRequest
     */
    createLog(handleRequest: HandleRequest): object;
    /**
     * Sends out the request to the Slack API
     * @param log message, which will be sent to Slack
     */
    sendRequest(log: object): void;
}
